/* Контейнер для постов */
.posts-container {
    max-width: 1000px;
    margin: 0 auto;
}

.posts-container h1 {
   text-align: center;
}

/* Стили для каждого поста */
.post {
    display: flex;
    align-items: center;
    gap: 30px;
    background: white;
    padding: 25px;
    border-radius: 10px;
    box-shadow: 0 3px 15px rgba(0,0,0,0.1);
    margin-bottom: 20px;
}

.post img {
    border-radius: 8px;
    width: 400px;
    height: 250px;
    object-fit: cover;
    flex-shrink: 0;
}

.post p {
    line-height: 1.6;
    margin-bottom: 20px;
    color: #555;
    font-size: 1.1em;
}

.post ul {
    padding-left: 20px;
}

.post li {
    padding: 6px 0;
    font-family: 'Martian Mono', monospace;
    font-size: 1.1em;
    color: #555;
}

/* Кнопка поста */
.post-button {
    display: inline-block;
    background: #f8c8dc;
    color: #333;
    padding: 12px 25px;
    text-decoration: none;
    border-radius: 6px;
    font-weight: bold;
    transition: background-color 0.3s ease;
}

.post-button:hover {
    background: #e5a8c2;
}

/* Адаптивность для мобильных */
@media (max-width: 900px) {
    .post {
        flex-direction: column;
        text-align: center;
        gap: 20px;
    }
    
    .post img {
        width: 100%;
        max-width: 400px;
        height: auto;
    }
    
    .post-text {
        text-align: center;
    }
}